Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class UnboundVariable

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.UnboundVariable

All Implemented Interfaces:
  InMemoryValue, Value

public class UnboundVariable
extends java.lang.Object
implements InMemoryValue

Represents an unbound variable. When the query is evaluated, expressions containing unbound variables will be executed once for every element in the type's extent.

Constructor Summary
`UnboundVariable(java.lang.String name, java.lang.Class type)` Constructor.

Method Summary
`void` | `castTo(java.lang.Class type)` Cast this value to the given type.
`java.lang.Object` | `evaluate(java.lang.Object candidate, java.lang.Object orig, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Evaluate the given candidate.
`java.lang.Class` | `getType()`
`boolean` | `isVariable()` Return true if this value is a variable.
`void` | `setValue(java.lang.Object value)` Set the variable's current value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnboundVariable

    public UnboundVariable(java.lang.String name,
                           java.lang.Class type)

  Constructor. Provide variable name and type.

Method Detail

### isVariable

    public boolean isVariable()

  Description copied from interface: `Value`
  Return true if this value is a variable.

  Specified by:
    `isVariable` in interface `Value`

### getType

    public java.lang.Class getType()

### setValue

    public void setValue(java.lang.Object value)

  Set the variable's current value. Expressions can be evaluated for every possible object in the extent of each unbound variable when looking for a match.

### castTo

    public void castTo(java.lang.Class type)

  Description copied from interface: `InMemoryValue`
  Cast this value to the given type.

  Specified by:
    `castTo` in interface `InMemoryValue`

### evaluate

    public java.lang.Object evaluate(java.lang.Object candidate,
                                     java.lang.Object orig,
                                     com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                                     java.util.Map params)

  Description copied from interface: `InMemoryValue`
  Evaluate the given candidate.

  Specified by:
    `evaluate` in interface `InMemoryValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.